TextToSpeechEnumLangs(3dtk)

Name

TextToSpeechEnumLangs - Retrieves information about available languages.

Syntax
    DWORD TextToSpeechEnumLangs (LPLANG_ENUM *langs)

Parameters

LPLANG_ENUM *langs
    Specifies a LANG_ENUM struct pointer to be used to return the language information.

Description

This function retrieves information about what languages are available in the system.

TextToSpeechEnumLangs() returns the default language in the registry as the first language of the array of LANG_ENTRY returned by the langs parameter.

Return Values

This function returns a value of type DWORD. The value is the size of the struct on success, or 0 on an error. No further error information is available at this time.

Example
    if (TextToSpeechEnumLangs (&languageINFO) == 0)
    {
        MessageBox(NULL, Unable to allocate memory","Error",MB_OK);
        return(-1);
    }
    ...
    if (languageINFO->MultiLang==FALSE)
        /* perform nonML processing */
    else
        /* loop through all languages and access language names */
        for(i=0;i<languageINFO->Languages;i++)
        {
            languageINFO->Entries[i].lang_code; /* language abbrev /*
            languageINFO->Entries[i].lang_name; /* language name /*
        }

See Also

TextToSpeechCloseLang(3dtk), TextToSpeechSelectLang(3dtk), TextToSpeechStartLang(3dtk)